Advanced Server Access
/- Update a User Sync Job Schedule
List all AD Connections
Create an AD Connection
Retrieve an AD Connection
Update an AD Connection
Delete an AD Connection
List all AD Server Sync Jobs
Create a Server Sync Job
Retrieve a Server Sync Job
Update a Server Sync Job
Remove a Server Sync Job
Deactivate a Server Sync Job
Update a Server Sync Job Schedule
List all AD Server Sync Job Results
Retrieve a Server Sync Job Result
Create a Server Sync Test Request
List all AD User Sync Jobs
Create a User Sync Job
Retrieve a User Sync Job
Update a User Sync Job
Remove a User Sync Job
Update a User Sync Job State
Create a User Sync Test Request
List all AD User Sync Job Results
Retrieve a User Sync Job Result
Update a User Sync Job Sc...
Updates the schedule for a user sync job for an Active Directory connection
Security
bearerAuth
The AD attribute that defines the security identifier (SID) for accounts. Most AD tenants use objectSID.
Example:"objectsid"
A UTC timestamp that indicates the hour range when the user sync job runs. Only used if frequency is set to 24.
Example:"2022-08-24T14:15:22Z"
- Production serverhttps://app.scaleft.com/v1/teams/{team_name}/integrations/ad_connections/{ad_connection_id}/user_sync_task_settings/{ad_user_sync_task_settings_id}/schedule
curl -i -X POST \
'https://app.scaleft.com/v1/teams/{team_name}/integrations/ad_connections/{ad_connection_id}/user_sync_task_settings/{ad_user_sync_task_settings_id}/schedule' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"base_dn": "string",
"frequency": 24,
"is_active": true,
"LDAP_query_filter": "string",
"name": "User Sync Job - 1",
"SID_Field": "objectsid",
"start_hour_utc": "2022-08-24T14:15:22Z",
"UPN_Field": "userprincipalname"
}'